LabVIEW Software Needed for RIO Evaluation Kit

Updated Jul 19, 2018

Reported In

Hardware

  • sbRIO-9637

Software

  • LabVIEW
  • LabVIEW Real-Time Module
  • LabVIEW FPGA Module

Driver

  • NI CompactRIO

Issue Details

I have a RIO Evaluation Kit, but I don't know what LabVIEW software I need to get started and do not have the RIO Evaluation Kit DVD. What software should I download? 

Solution

Most RIO Evaluation Kits consist of the sbRIO-9637 and a mounted card for accessing the inputs and outputs of the sbRIO. The sbRIO-9637 requires LabVIEW 2015 or newer. In order to program the sbRIO-9637, you should install the following software, in this order: 
  1. LabVIEW Development System (32 bit)
  2. LabVIEW Real-Time Module
  3. LabVIEW FPGA Module
  4. CompactRIO Device Drivers
    1. If you are unsure what version of the device drivers is compatible with the version of LabVIEW you have downloaded, you can reference the compatibility chart.
Ensure you restart your computer after installing the software. To compile your FPGA code, you may need to install additional software. See the LabVIEW FPGA Compilation Options document for the options available for compiling LabVIEW FPGA code. 

Additional Information

For more information on the RIO Evalution Kit, see the RIO Evaluation Kit FAQ

For more information on getting started with the sbRIO-9637, see the sbRIO-9637 Getting Started Guide.

WAS THIS ARTICLE HELPFUL?

Not Helpful